This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 367481 - Time zone labeling is amazingly missleading and incomplete.
Time zone labeling is amazingly missleading and incomplete.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks: 471260 448042
  Show dependency treegraph
 
Reported: 2007-11-05 16:09 EST by Justin Sherrill
Modified: 2014-05-09 06:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2007-11-05 16:09:39 EST
Currently we list time zones in an odd way.  We have a list like this:

(GMT-0500) United States (Eastern)


Which doesn't make sense because GMT does not follow daylight savings time.  So
if you select "(GMT-0500) United States (Eastern)" you would actually get GMT -
5 hours for half the year and GMT - 4 hours for the other half.  The labeling is
just wrong as the actual time zone used by the app is "America/New York" and not
an offset of GMT.

In addition many parts of the world are not even covered by this, we only
include around 25 "time zones" but when you take into account all the
differences in locales there are many more.  



It wouldn't be hard to implement a change as we would just list the locale
instead of a false GMT offset and we would add all the available locales, not
just a static set.
Comment 1 Justin Sherrill 2007-11-05 16:15:53 EST
Filing as an exception for 5.1 for approval
Comment 6 Clifford Perry 2014-05-09 06:21:27 EDT
We have not addressed this specific bug for over 4 years. This bug was reported as either Satellite 5.0 or 5.1, both of which have now End of Life and not supported. I am closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.